Skip to main content
`Ctrl`+`K`

# PetscPointExactSolutionFn

A prototype of a pointwise function that computes the exact solution to a PDE. Used with, for example, `PetscDSSetExactSolution()`

## Synopsis

    typedef PetscErrorCode PetscPointExactSolutionFn(PetscInt dim, PetscReal t, const PetscReal x[], PetscInt Nc, PetscScalar u[], void *ctx);

## Calling Sequence

- dim - the coordinate dimension

- t - current time

- x - coordinates of the current point

- Nc - the number of field components

- u - the solution field evaluated at the current point

- ctx - a user context, set with `PetscDSSetExactSolution()` or `PetscDSSetExactSolutionTimeDerivative()`

## See Also

`PetscPointFn`, `PetscDSSetExactSolution()`, `PetscDSGetExactSolution()`, `PetscDSSetExactSolutionTimeDerivative()`, `PetscDSGetExactSolutionTimeDerivative()`

## Level

beginner

## Location

include/petscdstypes.h

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages